#
# spec file for package xchm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xchm
Version:        1.23+git568
Release:        4.2
Summary:        A wxWidgets CHM document viewer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://xchm.sf.net/

#Git-Clone:	git://git.code.sf.net/p/xchm/code
#Snapshot:	e8f2dcc83412ca0d6074fbc82689d495f300a883
#DL-URL:	http://downloads.sf.net/xchm/xchm-1.23.tar.gz
Source:         %name-%version.tar.xz
BuildRequires:  automake
BuildRequires:  chmlib-devel
BuildRequires:  gcc-c++
BuildRequires:  wxWidgets-devel >= 3.0
BuildRequires:  xz

%description
xCHM is a cross-platform GUI frontend for CHMLIB, written with wxGTK.
It is able to display the topics tree, work with displayed pages
history, print the current page, work with bookmarks, change fonts
and fast search through all the pages of the loaded .chm document.
Being indirectly dependent on GTK+, the possibility of changing GTK+
skins makes xCHM theme-friendly.

%prep
%setup

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
%find_lang xchm

%files -f xchm.lang
%defattr(-,root,root)
%_bindir/xchm
%_datadir/pixmaps/*.xpm
%_datadir/pixmaps/*.png
%doc COPYING

%changelog
* Sun Dec  7 2014 jengelh@inai.de
- Update to git snapshot 1.23+git568 to enable switching to
  wxWidgets 3
* Sun Sep  1 2013 jengelh@inai.de
- Initial package (version 1.23) for build.opensuse.org
